<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->
**Table of Contents**  *generated with [DocToc](https://github.com/thlorenz/doctoc)*

- [Features](#features)
- [Post-Installation](#post-installation)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

# Features

* Provides a views text filter that allows filtering/searching by media name, file name, and media image alt text field/attribute.
* Provides a views field to display file name/path.
* Provides a views field to display media image alt text.

# Post-Installation

Once installed, follow these steps:

1. Edit a core media view (For example at: /admin/structure/views/view/media).
2. Add a new filter criteria. Check the filter titled "Media name/file name" and click the Add and configure filter criteria button.
3. Check "Expose this filter to visitors, to allow them to change it". Click the Apply button.
4. Remove the original "Media: Name" filter.
5. Save the view.
6. Visit the view path. You can now filter media by both media name and file name as well as media image alt text.

Optionally, you may choose to include additional fields in the views output, such as file name/path and media image alt text. This will add more transparency to the way the filter works.

1. Edit a core media view.
2. Add a new field. Check the field titled "File name".
3. Click the Add and configure fields button, then click the Apply button.

Optionally repeat the above steps, except add the "Alt text" field.

If you are using Drupal configuration synchronization (like you should), remember to export config when you're finished editing a view.